io.vertx.rxjava.ext.auth.oauth2.providers

## Class AzureADAuth

- java.lang.Object
- - io.vertx.rxjava.ext.auth.oauth2.providers.OpenIDConnectAuth
  - - io.vertx.rxjava.ext.auth.oauth2.providers.AzureADAuth

-     public class AzureADAuth
      extends OpenIDConnectAuth

  Simplified factory to create an for Azure AD.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<AzureADAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AzureADAuth(AzureADAuth delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret, String guid)` Create a OAuth2Auth provider for Microsoft Azure Active Directory
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret, String guid, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for Microsoft Azure Active Directory
    `static void` | `discover(Vertx vertx, OAuth2ClientOptions config, Handler<AsyncResult<OAuth2Auth>> handler)` Create a OAuth2Auth provider for OpenID Connect Discovery.
    `static Observable<OAuth2Auth>` | `discoverObservable(Vertx vertx, OAuth2ClientOptions config)` Deprecated. use `rxDiscover(io.vertx.rxjava.core.Vertx, io.vertx.ext.auth.oauth2.OAuth2ClientOptions)` instead
    `boolean` | `equals(Object o)`
    `AzureADAuth` | `getDelegate()`
    `int` | `hashCode()`
    `static AzureADAuth` | `newInstance(AzureADAuth arg)`
    `static Single<OAuth2Auth>` | `rxDiscover(Vertx vertx, OAuth2ClientOptions config)` Create a OAuth2Auth provider for OpenID Connect Discovery.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.ext.auth.oauth2.providers.OpenIDConnectAuth

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<AzureADAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### AzureADAuth

          public AzureADAuth(AzureADAuth delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `OpenIDConnectAuth`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `OpenIDConnectAuth`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `OpenIDConnectAuth`

    - #### getDelegate

          public AzureADAuth getDelegate()

      Overrides:
        `getDelegate` in class `OpenIDConnectAuth`

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret,
                                          String guid)

      Create a OAuth2Auth provider for Microsoft Azure Active Directory
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Azure
        `clientSecret` - the client secret given to you by Azure
        `guid` - the guid of your application given to you by Azure
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret,
                                          String guid,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for Microsoft Azure Active Directory
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Azure
        `clientSecret` - the client secret given to you by Azure
        `guid` - the guid of your application given to you by Azure
        `httpClientOptions` - custom http client options
      Returns:

    - #### discover

          public static void discover(Vertx vertx,
                                      OAuth2ClientOptions config,
                                      Handler<AsyncResult<OAuth2Auth>> handler)

      Create a OAuth2Auth provider for OpenID Connect Discovery. The discovery will use the default site in the configuration options and attempt to load the well known descriptor. If a site is provided (for example when running on a custom instance) that site will be used to do the lookup.

      If the discovered config includes a json web key url, it will be also fetched and the JWKs will be loaded into the OAuth provider so tokens can be decoded.

      Parameters:
        `vertx` - the vertx instance
        `config` - the initial config
        `handler` - the instantiated Oauth2 provider instance handler

    - #### discoverObservable

          @Deprecated
          public static Observable<OAuth2Auth> discoverObservable(Vertx vertx,
                                                                              OAuth2ClientOptions config)

      Deprecated. use `rxDiscover(io.vertx.rxjava.core.Vertx, io.vertx.ext.auth.oauth2.OAuth2ClientOptions)` instead
      Create a OAuth2Auth provider for OpenID Connect Discovery. The discovery will use the default site in the configuration options and attempt to load the well known descriptor. If a site is provided (for example when running on a custom instance) that site will be used to do the lookup.

      If the discovered config includes a json web key url, it will be also fetched and the JWKs will be loaded into the OAuth provider so tokens can be decoded.

      Parameters:
        `vertx` - the vertx instance
        `config` - the initial config
      Returns:

    - #### rxDiscover

          public static Single<OAuth2Auth> rxDiscover(Vertx vertx,
                                                      OAuth2ClientOptions config)

      Create a OAuth2Auth provider for OpenID Connect Discovery. The discovery will use the default site in the configuration options and attempt to load the well known descriptor. If a site is provided (for example when running on a custom instance) that site will be used to do the lookup.

      If the discovered config includes a json web key url, it will be also fetched and the JWKs will be loaded into the OAuth provider so tokens can be decoded.

      Parameters:
        `vertx` - the vertx instance
        `config` - the initial config
      Returns:

    - #### newInstance

          public static AzureADAuth newInstance(AzureADAuth arg)

Copyright © 2019 Eclipse. All rights reserved.